<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlCrcCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlCrcCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink CRC callback function  
 <a href="structrl_crc_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a49a83745a3697d3ca3f125d7751458e1"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_crc_cbs__t.html#a49a83745a3697d3ca3f125d7751458e1">rlComputeCRC</a> )(rlUInt8_t *data, rlUInt32_t dataLen, rlUInt8_t crcType, rlUInt8_t *crc)</td></tr>
<tr class="memdesc:a49a83745a3697d3ca3f125d7751458e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute CRC on the input message.  <a href="#a49a83745a3697d3ca3f125d7751458e1">More...</a><br /></td></tr>
<tr class="separator:a49a83745a3697d3ca3f125d7751458e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink CRC callback function </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a49a83745a3697d3ca3f125d7751458e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlCrcCbs_t::rlComputeCRC)(rlUInt8_t *data, rlUInt32_t dataLen, rlUInt8_t crcType, rlUInt8_t *crc)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute CRC on the input message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- input message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>- size of input message in bytes </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">crcType</td><td>- CRC type (0:RL_CRC_TYPE_16BIT_CCITT, 1:RL_CRC_TYPE_32BIT, 2:RL_CRC_TYPE_64BIT_ISO) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">crc</td><td>- Computed CRC</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Compute CRC on the input message </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
